# QMenuBar Class Reference

### [com.trolltech.qt.gui package]

Inherits QWidget.

### Constructor

- void QMenuBar(QWidget parent)

### Constructor Properties

- prototype: The QMenuBar prototype object

### Prototype Object Properties

The QMenuBar prototype object inherits properties from the QWidget prototype object and also has the following properties.

- QAction actionAt(QPoint arg__1)
- QRect actionGeometry(QAction arg__1)
- QAction activeAction()
- QAction addAction(String text)
- QAction addMenu(QMenu menu)
- QAction addSeparator()
- void clear()
- QWidget cornerWidget(Corner corner)
- QAction insertMenu(QAction before, QMenu menu)
- QAction insertSeparator(QAction before)
- QSize minimumSizeHint()
- void setActiveAction(QAction action)
- void setCornerWidget(QWidget w, Corner corner)
- QSize sizeHint()

### Instance Properties

QMenuBar objects inherit properties from the QMenuBar prototype object and also have the following properties.

- defaultUp
- nativeMenuBar